Subject: External Interrupt

From: Marco Stornelli <[email-masked]>
Date: Fri, 01 Feb 2008 09:11:16 +0100

Hi,

I used the linux kernel 2.6.10 with a processor MPC8548E. I wrote a
driver for a device connected with the local bus. This device has an
external interrupt. In the local bus driver I have used the macro
MPC85xx_IRQ_EXT<X> to get the interrupt number and pass it to the
driver and after that register the ISR. Now with a kernel 2.6.21 this
macro isn't available because in the header file irq.h there is the
option CONFIG_PPC_MERGE that disable those options. I think this
problem is related to the migration of ppc code towards powerpc. I
know that now there is the new device tree source file where I can add
a device and its interrupt number  but I think in this file I should
describe only the platform device, and this device is not a platform
device. Then, how can I get now this  value? Is there some function to
call? How can I perform this operation?

Thanks in advance.

Marco